Summary: ngtcp2 project is an effort to implement IETF QUIC protocol
Name: ngtcp2
Version: 1.3.0
Release: 1%{?dist}
License: MIT
Url: https://github.com/ngtcp2/ngtcp2
Source: https://github.com/ngtcp2/ngtcp2/releases/download/v%{version}/ngtcp2-%{version}.tar.xz

%if 0%{?rhel} < 8
BuildRequires: devtoolset-9-gcc devtoolset-9-gcc-c++ devtoolset-9-make
%else
BuildRequires: gcc gcc-c++ make
%endif
BuildRequires: automake
BuildRequires: libtool
BuildRequires: libev-devel
BuildRequires: CUnit-devel >= 2.1
%if 0%{?rhel} > 8
BuildRequires: gnutls-devel >= 3.7.5
%endif
BuildRequires: libnghttp3-devel >= 1.0.0

%description
%summary.

%package -n lib%{name}
Summary: A library implementing the IETF QUIC protocol protocol

%description -n lib%{name}
libngtcp2 is a library implementing the IETF QUIC protocol protocol in C.

%package -n lib%{name}-devel
Summary: Files needed for building applications with libngtcp2
Requires: lib%{name} = %{version}-%{release}
Requires: pkgconfig

%description -n lib%{name}-devel
The libngtcp2-devel package includes libraries and header files needed
for building applications with libngtcp2.

%prep
%autosetup

%build
%if 0%{?rhel} < 8
%enable_devtoolset9
%endif
%if 0%{?rhel} > 8
%configure --disable-static --with-gnutls
%else
%configure --disable-static
%endif
%make_build

%install
%make_install
# not needed on Fedora/RHEL
rm -f "$RPM_BUILD_ROOT%{_libdir}/lib%{name}.la"
%if 0%{?rhel} > 8
rm -f "$RPM_BUILD_ROOT%{_libdir}/lib%{name}_crypto_gnutls.la"
%endif
# will be installed via %%doc
rm -f "$RPM_BUILD_ROOT%{_datadir}/doc/%{name}/README.rst"

%check
%make_build check

%files -n lib%{name}
%{_libdir}/lib%{name}.so*
%{!?_licensedir:%global license %%doc}
%license COPYING
%if 0%{?rhel} > 8
%{_libdir}/lib%{name}_crypto_gnutls.so*
%endif

%files -n lib%{name}-devel
%{_includedir}/%{name}
%{_libdir}/pkgconfig/lib%{name}.pc
%{_libdir}/lib%{name}.so
%doc README.rst
%if 0%{?rhel} > 8
%{_libdir}/lib%{name}_crypto_gnutls.so
%{_libdir}/pkgconfig/lib%{name}_crypto_gnutls.pc
%endif

%changelog
* Sat Feb 17 2024 Teddysun <i@teddysun.com> - 1.3.0-1
- Update version to 1.3.0

* Sun Jan 21 2024 Teddysun <i@teddysun.com> - 1.2.0-1
- Update version to 1.2.0

* Sun Nov 26 2023 Teddysun <i@teddysun.com> - 1.1.0-1
- Update version to 1.1.0

* Thu Oct 26 2023 Teddysun <i@teddysun.com> - 1.0.1-1
- Update version to 1.0.1

* Sun Oct 22 2023 Teddysun <i@teddysun.com> - 1.0.0-1
- Initial build version 1.0.0
